Subject: 3.19 on Nokia n900: audio quality awful

From: [email-masked] (Tony Lindgren)
Date: Tue, 6 Jan 2015 14:52:20 -0800

* Felipe Balbi <[email-masked]> [150106 14:49]:
> Hi,
> 
> On Wed, Jan 07, 2015 at 12:27:17AM +0200, Aaro Koskinen wrote:
> > But I'm mounting it from userspace (using builtin initramfs inside
> > zImage), with a poll loop that waits for a device to appear. Maybe if you
> > do it from kernel you need to use root wait/delay etc. options?
> 
> yeah, rootwait should do it.

AFAIK you need to use rootwait and make USB into loadable modules.
Built in Ethernet won't work without the patch I posted earlier.

Regards,

Tony